; General preferences
;M929 P"eventlog.txt" S1				; start logging to file eventlog.txt
G90							; Send absolute coordinates...
M83							; ...but relative extruder moves

; Network
M550 P"- Maestro -"                                  	; Set machine name
M552 P0.0.0.0 S1                                   	; Enable network and acquire dynamic address via DHCP
M586 P0 S1                                         	; Enable HTTP
M586 P1 S0                                         	; Disable FTP
M586 P2 S0                                         	; Disable Telnet 

; Drives
M569 P0 S0						; X Drive 0 goes backwards
M569 P1 S1						; Y Drive 1 goes for
M569 P2 S0						; Z1 Drive 2 goes forwards
M569 P3 S1						; E0 Drive 3 goes forwards
M569 P4 S0						; Z2 Drive 4 goes forwards
M584 X0 Y1 Z4:2 E3					; X on X, Y on Y, Z and Z2 on Z and E1, E0 on E0
M671 X-89:379 Y150:150 S10				; Z leadscrews are at
M350 X16 Y16 Z16 E16 I1					; Configure microstepping with interpolation
M92 X160 Y200 Z800 E837					; Set steps per mm e3d
;M92 X80 Y200 Z800 E837					; Set steps per mm
M98 Pmotorspeeds.g
M84 S60							; Set idle timeout

; Axis Limits
M208 X0 Y0 Z-4 S1					; Set axis minima
M208 X300 Y280 Z300 S0					; Set axis maxima

; Endstops
M574 X1 Y1 S0
;M574 X1 Y1 S3						; Set endstops controlled by motor load detection

; Z-Probe
M574 Z1 S2
M558 P1 H2.5 F500 T10000 S0.01 A30 B0			; X0 Y0 Z1 B1 F160
G31 P500 X17 Y0 Z2.30					; Set Z probe trigger value, offset and trigger height   #*#*#*#*#*#*#*#*#*#*#
M557 X15:285 Y12.5:267.5 S15				; mesh bed leveling layout

; Heaters
M143 H0 S130						; Set temperature limit for heater 0 to 160C
M305 P1 T100000 B4725 C7.060000e-8 R2200		; Set thermistor + ADC parameters for heater 1
M143 H1 S290						; Set temperature limit for heater 1 to 290C
M305 P0 T100000 B4138 R2200           			; Set thermistor + ADC parameters for heater 0
M305 P1 T100000 B4138 R2200           			; Set thermistor + ADC parameters for heater 1
M307 H0 A344.9 C801.8 D2.3 S1.00 V24.0 B0
M307 H1 A564.3 C278.0 D3.9 S1.00 V23.9 B0

; Fans
M106 P0 S0 I0 H-1 F60 B0.2				; Part Fans
M106 P1 H1 T55 F60 S1					; Hotend fan
M106 P2 T31:40 H100:101:102				; On when MCU temp (vh 100) reaches 45C, full when the MCU 65C or TMC2660 drivers (vh 101:102) over temp

; Tools
M563 P0 D0 H1						; Define tool 0
G10 P0 X0 Y0 Z0						; Set tool 0 axis offsets
G10 P0 R0 S0						; Set initial tool 0 active and standby temperatures to 0C
M572 D0 S0.05						; Pressure advance

; Powerloss
M911 S21.0 R23.0 P"M913 X0 Y0 G91 M83 G1 Z3 E-3 F1000"	; Set voltage thresholds and actions to run on power loss

; Report Stalls
;M915 X Y Z E R1 F0 S9

; Miscellaneous
G29 S1 Pheightmap.csv
M501							; Load saved parameters from non-volatile memory
T0

; Laster Filament Sensor
;M591 D0 P5 C4 S0 R10:155